# Payment Methods Payment methods represent your customer's payment instruments. They can be used to collect payments or saved to Account objects to store instrument details for future payments. **Important**: The `type` field in the request body schema of the [Create a payment method](https://developer.zuora.com/other-api/quickstart-api/operation/createPaymentMethod/) operation enumerates the supported payment methods. Not all payment gateways support all these payment method types. Check Supported payment methods to check the supported payment methods for each gateway. If you need to create payment methods outside the scope of this operaton, you have to use the [Create a payment method](https://developer.zuora.com/v1-api-reference/api/operation/POST_PaymentMethods/) operation of the v1 API instead of the Quickstart API. We do not plan to add additional payment methods to the Quickstart API. Any new payment methods will only be available through the v1 API and Zuora client libraries. ## List payment methods - [GET /payment_methods](https://developer.zuora.com/other-api/quickstart-api/payment-methods/getpaymentmethods.md): Returns a dictionary with a data property that contains an array of payment methods, starting after the cursor, if used. Each entry in the array is a separate payment method object. If no more payment methods are available, the resulting array will be empty. This request should never return an error. ## Create a payment method - [POST /payment_methods](https://developer.zuora.com/other-api/quickstart-api/payment-methods/createpaymentmethod.md): Creates a new payment method object. See Payment Pages 2.0 implementation overview to learn how to create payment methods through Hosted Payment Pages. The type field in the request body schema of this operation enumerates the supported payment methods. Not all payment gateways support all these payment method types. Check Supported payment methods to check the supported payment methods for each gateway. If you need to create payment methods outside the scope of this operaton, you have to use the Create a payment method operation of the v1 API instead of the Quickstart API. We do not plan to add additional payment methods to the Quickstart API. Any new payment methods will only be available through the v1 API and the Zuora client libraries. ## Retrieve a payment method - [GET /payment_methods/{payment_method_id}](https://developer.zuora.com/other-api/quickstart-api/payment-methods/getpaymentmethodbyid.md): Retrieves the payment method with the given ID. ## Update a payment method - [PATCH /payment_methods/{payment_method_id}](https://developer.zuora.com/other-api/quickstart-api/payment-methods/updatepaymentmethod.md): Updates the specified payment method by setting the values of the parameters passed. Any parameters not provided will be left unchanged. ## Delete a payment method - [DELETE /payment_methods/{payment_method_id}](https://developer.zuora.com/other-api/quickstart-api/payment-methods/deletepaymentmethod.md): Permanently deletes a payment method. It cannot be undone. ## Verify a payment method - [POST /payment_methods/{payment_method_id}/verify](https://developer.zuora.com/other-api/quickstart-api/payment-methods/verifypaymentmethod.md): Sends an authorization request to the corresponding payment gateway to verify the payment method. Supported payment methods are credit cards and Paypal. ## Create a payment authorization - [POST /payment_methods/{payment_method_id}/authorize](https://developer.zuora.com/other-api/quickstart-api/payment-methods/authorizepaymentmethod.md): Verifies a payment method and block the amount of fund that will be used for payment. ## Cancel a payment authorization - [POST /payment_methods/{payment_method_id}/void_authorization](https://developer.zuora.com/other-api/quickstart-api/payment-methods/voidauthorizationpaymentmethod.md): Cancel or void the blocked fund from the specified payment method. ## Scrub a payment method - [POST /payment_methods/{payment_method_id}/scrub](https://developer.zuora.com/other-api/quickstart-api/payment-methods/scrubpaymentmethod.md): Scrubs sensitive data such as card number on the specified payment method.